import { IBlock, IBitSwap, IBlockService } from '../chaintree/dag/dag';
import CID from 'cids';
interface ICallbackBlockService {
    put(block: IBlock): Promise<any>;
    get(cid: CID): Promise<IBlock>;
    delete(cid: CID): Promise<any>;
    setExchange(bitswap: IBitSwap): void;
    unsetExchange(): void;
    hasExchange(): boolean;
}
/**
 * A wrapper around a callback-based IBlockService that allows async/await
 * There is an open PR on the bitswap PR which will allow us to switch to the ipfs-maintained version.
 * @public
 */
export declare class WrappedBlockService implements IBlockService {
    private blockservice;
    constructor(blockservice: ICallbackBlockService);
    put(block: IBlock): Promise<any>;
    get(cid: CID): Promise<IBlock>;
    delete(cid: CID): Promise<any>;
    setExchange(bitswap: IBitSwap): void;
    unsetExchange(): void;
    hasExchange(): boolean;
}
export {};
//# sourceMappingURL=wrappedblockservice.d.ts.map