"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A wrapper around a callback-based IBlockService that allows async/await
 * There is an open PR on the bitswap PR which will allow us to switch to the ipfs-maintained version.
 * @public
 */
class WrappedBlockService {
    constructor(blockservice) {
        this.blockservice = blockservice;
    }
    put(block) {
        return this.blockservice.put(block);
    }
    get(cid) {
        return this.blockservice.get(cid);
    }
    delete(cid) {
        return this.blockservice.delete(cid);
    }
    setExchange(bitswap) {
        this.blockservice.setExchange(bitswap);
    }
    unsetExchange() {
        this.blockservice.unsetExchange();
    }
    hasExchange() {
        return this.blockservice.hasExchange();
    }
}
exports.WrappedBlockService = WrappedBlockService;
