import { NotaryGroup, PublicKeySet } from 'tupelo-messages/config/config_pb';
interface IPublicKeyCreator {
    verKeyHex: string;
    destKeyHex: string;
}
interface INotaryGroupCreator {
    id: string;
    bootstrapAddresses: string[];
    signers: IPublicKeyCreator[];
}
export interface IPeerId {
    toB58String(): string;
    isEqual(other: IPeerId): boolean;
}
/**
 * publicKeySetToPeerId returns the libp2p peerID from the signer dstKey config
 * @param set - the PublicKeySet (this is a signer in the NotaryGroup)
 */
export declare function publicKeySetToPeerId(set: PublicKeySet): Promise<IPeerId>;
export declare function notaryGroupToSignerPeerIds(ng: NotaryGroup): Promise<IPeerId[]>;
export declare function toCamel(o: any): any;
/**
 * takes a toml config and returns a NotaryGroup object.
 * @param tomlString - a notary group HumanConfig in toml format
 * @public
 */
export declare function tomlToNotaryGroup(tomlString: string): NotaryGroup;
export declare function configToNotaryGroup(obj: INotaryGroupCreator): NotaryGroup;
export default tomlToNotaryGroup;
//# sourceMappingURL=notarygroup.d.ts.map