import { IKey } from './chaintree/datastore';
interface IStorageBackendOpts {
    root: any;
    blocks: any;
    keys: any;
    datastore: any;
}
/**
 * Options used to create a new IPFS repo. {@link https://github.com/ipfs/js-ipfs-repo}
 * @public
 */
export interface RepoOpts {
    lock: string;
    storageBackends: IStorageBackendOpts;
}
/**
 * The interface to an IPFS Query {@link https://github.com/ipfs/interface-datastore}
 * @remarks
 * todo: finish up the whole interface https://github.com/ipfs/interface-datastore/tree/v0.6.0
 * @public
 */
export interface IQuery {
    prefix: string;
}
/**
 * Repo is a typescript wrapper around the IPFS Repo {@link https://github.com/ipfs/js-ipfs-repo}
 * @public
 */
export declare class Repo {
    repo: any;
    /**
     * @param name - The name of the repo
     * @param opts - (optional) {@link RepoOpts} - if opts are unspecified, it will use the IPFS repo defaults
     * @public
     */
    constructor(name: string, opts?: RepoOpts);
    init(opts: any): any;
    open(): any;
    close(): any;
    delete(key: IKey): any;
    put(key: IKey, val: Uint8Array): any;
    get(key: IKey): any;
    query(query: IQuery): any;
}
export default Repo;
//# sourceMappingURL=repo.d.ts.map