"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IpfsRepo = require('ipfs-repo');
/**
 * Repo is a typescript wrapper around the IPFS Repo {@link https://github.com/ipfs/js-ipfs-repo}
 * @public
 */
class Repo {
    /**
     * @param name - The name of the repo
     * @param opts - (optional) {@link RepoOpts} - if opts are unspecified, it will use the IPFS repo defaults
     * @public
     */
    constructor(name, opts) {
        this.repo = new IpfsRepo(name, opts);
    }
    init(opts) {
        return this.repo.init(opts);
    }
    open() {
        return this.repo.open();
    }
    close() {
        return this.repo.close();
    }
    delete(key) {
        return this.repo.datastore.delete(key);
    }
    put(key, val) {
        return this.repo.datastore.put(key, val);
    }
    get(key) {
        return this.repo.datastore.get(key);
    }
    query(query) {
        return this.repo.datastore.query(query);
    }
}
exports.Repo = Repo;
exports.default = Repo;
